CCOMPS(1)

NAME
ccomps - connected components filter for graphs

SYNOPSIS
ccomps [ files ] ccomps [ -sxv? ] [ -ooutfile ] [ files ]

DESCRIPTION
ccomps decomposes graphs into their connected components, printing the components to standard output.

OPTIONS
The following options are supported:

-s  No output graph is printed. Implies the -v flag.

-x  Only the connected components are printed, as separate graphs.

-v  Counts of nodes, edges and connected components are printed.

-o outfile
    If specified, each graph will be written to a different file with the names derived from outfile. In particular, if both -o and -x flags are used, then each connected component is written to a different file. If outfile does not have a suffix, the first file will have the name outfile; then next outfile_1, then next outfile_2, and so on. If outfile has a suffix, i.e., has the form base.sfx, then the files will be named base.sfx, base_1.sfx, base_2.sfx, etc.

By default, each input graph is printed, with the a connected component given as a subgraph whose name is a concatenation of the name of the input graph, the string "_component_" and the number of the component.

OPERANDS
The following operand is supported:

files
    Names of files containing 1 or more graphs in dot format. If no files operand is specified, the standard input will be used.

BUGS
At present, the connected components do not retain the relevant attribute and subgraph information from the input graph.

AUTHORS
Stephen C. North <north@research.att.com>
Emden R. Gansner <erg@research.att.com>

SEE ALSO
gc(1), dot(1), gpr(1), acyclic(1), sccmap(1), tred(1), libgraph(3)